    createComposition19_back = function()
    
        local composition19_back = CreateCompositionSequence()
        local compositionDuration = 10.56
        composition19_back:SetDuration(compositionDuration)
    
        -- Layer Layer_3
        local element = CreateCompositionElement("data/Texture/Scenes/19_skeleton_/Animations/dust.png")
        element:SetName("Layer_3")
        composition19_back:AddElement(element)
        element:SetHotSpot(88.5, 15.5)
        element:SetParentElement(composition19_back)
        element:SetXY(443, 236)
    
        element:SetAngle(0)
    
        effector = element:GetEffector()
        effector:SetLifeTime(4.2, 10.56)
    
        effector:SetKey(_TRACK_SX, 6.94160146713257, 0.56149732620321)
        effector:SetKey(_TRACK_SY, 6.94160146713257, 0.26460481099656)
        effector:SetKey(_TRACK_SX, 8.90839834213257, 0.93885581676925)
        effector:SetKey(_TRACK_SY, 8.90839834213257, 1.29553264604811)
        effector:SetKey(_TRACK_SX, 9.80238265991211, 1.0030269397639)
        effector:SetKey(_TRACK_SY, 9.80238265991211, 1.54295532646048)
        effector:SetKey(_TRACK_O, 6.94160146713257, 0)
        effector:SetKey(_TRACK_O, 7.3588282585144, 1)
        effector:SetKey(_TRACK_O, 8.67000002861023, 0.83)
        effector:SetKey(_TRACK_O, 9.80238265991211, 0)
    
        effector:Play()
    
    
        -- Layer Layer_4
        local element = CreateCompositionElement("data/Texture/Scenes/19_skeleton_/Animations/dust.png")
        element:SetName("Layer_4")
        composition19_back:AddElement(element)
        element:SetHotSpot(88.5, 15.5)
        element:SetParentElement(composition19_back)
        element:SetXY(438, 352)
    
        element:SetAngle(0)
    
        effector = element:GetEffector()
        effector:SetLifeTime(4.16, 10.56)
    
        effector:SetKey(_TRACK_SX, 6.90160146713257, 0.56149732620321)
        effector:SetKey(_TRACK_SY, 6.90160146713257, 0.26460481099656)
        effector:SetKey(_TRACK_SX, 8.86839834213257, 0.93885581676925)
        effector:SetKey(_TRACK_SY, 8.86839834213257, 1.29553264604811)
        effector:SetKey(_TRACK_SX, 9.76238265991211, 1.0030269397639)
        effector:SetKey(_TRACK_SY, 9.76238265991211, 1.54295532646048)
        effector:SetKey(_TRACK_O, 6.90160146713257, 0)
        effector:SetKey(_TRACK_O, 7.3188282585144, 1)
        effector:SetKey(_TRACK_O, 8.63000002861023, 0.83)
        effector:SetKey(_TRACK_O, 9.76238265991211, 0)
    
        effector:Play()
    
    
        -- Layer Layer_5
        local element = CreateCompositionElement("data/Texture/Scenes/19_skeleton_/Animations/dust.png")
        element:SetName("Layer_5")
        composition19_back:AddElement(element)
        element:SetHotSpot(88.5, 15.5)
        element:SetParentElement(composition19_back)
        element:SetXY(454, 337)
    
        element:SetAngle(0)
    
        effector = element:GetEffector()
        effector:SetLifeTime(4.16, 10.56)
    
        effector:SetKey(_TRACK_SX, 6.90160146713257, 0.56149732620321)
        effector:SetKey(_TRACK_SY, 6.90160146713257, 0.26460481099656)
        effector:SetKey(_TRACK_SX, 8.86839834213257, 0.93885581676925)
        effector:SetKey(_TRACK_SY, 8.86839834213257, 1.29553264604811)
        effector:SetKey(_TRACK_SX, 9.76238265991211, 1.0030269397639)
        effector:SetKey(_TRACK_SY, 9.76238265991211, 1.54295532646048)
        effector:SetKey(_TRACK_O, 6.90160146713257, 0)
        effector:SetKey(_TRACK_O, 7.3188282585144, 1)
        effector:SetKey(_TRACK_O, 8.63000002861023, 0.83)
        effector:SetKey(_TRACK_O, 9.76238265991211, 0)
    
        effector:Play()
    
    
        -- Layer Layer_6
        local element = CreateCompositionElement("data/Texture/Scenes/19_skeleton_/Animations/dust.png")
        element:SetName("Layer_6")
        composition19_back:AddElement(element)
        element:SetHotSpot(88.5, 15.5)
        element:SetParentElement(composition19_back)
        element:SetXY(498, 291)
    
        element:SetAngle(0)
    
        effector = element:GetEffector()
        effector:SetLifeTime(4.16, 10.56)
    
        effector:SetKey(_TRACK_SX, 6.90160146713257, 0.56149732620321)
        effector:SetKey(_TRACK_SY, 6.90160146713257, 0.26460481099656)
        effector:SetKey(_TRACK_SX, 8.86839834213257, 0.93885581676925)
        effector:SetKey(_TRACK_SY, 8.86839834213257, 1.29553264604811)
        effector:SetKey(_TRACK_SX, 9.76238265991211, 1.0030269397639)
        effector:SetKey(_TRACK_SY, 9.76238265991211, 1.54295532646048)
        effector:SetKey(_TRACK_O, 6.90160146713257, 0)
        effector:SetKey(_TRACK_O, 7.3188282585144, 1)
        effector:SetKey(_TRACK_O, 8.63000002861023, 0.83)
        effector:SetKey(_TRACK_O, 9.76238265991211, 0)
    
        effector:Play()
    
    
        -- Layer Layer_7
        local element = CreateCompositionElement("data/Texture/Scenes/19_skeleton_/Animations/dust.png")
        element:SetName("Layer_7")
        composition19_back:AddElement(element)
        element:SetHotSpot(88.5, 15.5)
        element:SetParentElement(composition19_back)
        element:SetXY(461, 311)
    
        element:SetAngle(0)
    
        effector = element:GetEffector()
        effector:SetLifeTime(4.16, 10.56)
    
        effector:SetKey(_TRACK_SX, 6.90160146713257, 0.56149732620321)
        effector:SetKey(_TRACK_SY, 6.90160146713257, 0.26460481099656)
        effector:SetKey(_TRACK_SX, 8.86839834213257, 0.93885581676925)
        effector:SetKey(_TRACK_SY, 8.86839834213257, 1.29553264604811)
        effector:SetKey(_TRACK_SX, 9.76238265991211, 1.0030269397639)
        effector:SetKey(_TRACK_SY, 9.76238265991211, 1.54295532646048)
        effector:SetKey(_TRACK_O, 6.90160146713257, 0)
        effector:SetKey(_TRACK_O, 7.3188282585144, 1)
        effector:SetKey(_TRACK_O, 8.63000002861023, 0.83)
        effector:SetKey(_TRACK_O, 9.76238265991211, 0)
    
        effector:Play()
    
    
        -- Layer Layer_8
        local element = CreateCompositionElement("data/Texture/Scenes/19_skeleton_/Animations/dust.png")
        element:SetName("Layer_8")
        composition19_back:AddElement(element)
        element:SetHotSpot(88.5, 15.5)
        element:SetParentElement(composition19_back)
        element:SetXY(467, 306)
    
        element:SetAngle(0)
    
        effector = element:GetEffector()
        effector:SetLifeTime(4.04, 10.56)
    
        effector:SetKey(_TRACK_SX, 6.78160146713257, 0.56149732620321)
        effector:SetKey(_TRACK_SY, 6.78160146713257, 0.26460481099656)
        effector:SetKey(_TRACK_SX, 8.74839834213257, 0.93885581676925)
        effector:SetKey(_TRACK_SY, 8.74839834213257, 1.29553264604811)
        effector:SetKey(_TRACK_SX, 9.64238265991211, 1.0030269397639)
        effector:SetKey(_TRACK_SY, 9.64238265991211, 1.54295532646048)
        effector:SetKey(_TRACK_O, 6.78160146713257, 0)
        effector:SetKey(_TRACK_O, 7.1988282585144, 1)
        effector:SetKey(_TRACK_O, 8.51000002861023, 0.83)
        effector:SetKey(_TRACK_O, 9.64238265991211, 0)
    
        effector:Play()
    
    
        -- Layer Layer_9
        local element = CreateCompositionElement("data/Texture/Scenes/19_skeleton_/Animations/dust.png")
        element:SetName("Layer_9")
        composition19_back:AddElement(element)
        element:SetHotSpot(88.5, 15.5)
        element:SetParentElement(composition19_back)
        element:SetXY(496, 188)
    
        element:SetAngle(0)
    
        effector = element:GetEffector()
        effector:SetLifeTime(4.08, 10.56)
    
        effector:SetKey(_TRACK_SX, 6.82160146713257, 0.56149732620321)
        effector:SetKey(_TRACK_SY, 6.82160146713257, 0.26460481099656)
        effector:SetKey(_TRACK_SX, 8.78839834213257, 0.93885581676925)
        effector:SetKey(_TRACK_SY, 8.78839834213257, 1.29553264604811)
        effector:SetKey(_TRACK_SX, 9.68238265991211, 1.0030269397639)
        effector:SetKey(_TRACK_SY, 9.68238265991211, 1.54295532646048)
        effector:SetKey(_TRACK_O, 6.82160146713257, 0)
        effector:SetKey(_TRACK_O, 7.2388282585144, 1)
        effector:SetKey(_TRACK_O, 8.55000002861023, 0.83)
        effector:SetKey(_TRACK_O, 9.68238265991211, 0)
    
        effector:Play()
    
    
        -- Layer Layer_10
        local element = CreateCompositionElement("data/Texture/Scenes/19_skeleton_/Animations/dust.png")
        element:SetName("Layer_10")
        composition19_back:AddElement(element)
        element:SetHotSpot(88.5, 15.5)
        element:SetParentElement(composition19_back)
        element:SetXY(469, 323)
    
        element:SetAngle(0)
    
        effector = element:GetEffector()
        effector:SetLifeTime(4.08, 10.56)
    
        effector:SetKey(_TRACK_SX, 6.82160146713257, 0.56149732620321)
        effector:SetKey(_TRACK_SY, 6.82160146713257, 0.26460481099656)
        effector:SetKey(_TRACK_SX, 8.78839834213257, 0.93885581676925)
        effector:SetKey(_TRACK_SY, 8.78839834213257, 1.29553264604811)
        effector:SetKey(_TRACK_SX, 9.68238265991211, 1.0030269397639)
        effector:SetKey(_TRACK_SY, 9.68238265991211, 1.54295532646048)
        effector:SetKey(_TRACK_O, 6.82160146713257, 0)
        effector:SetKey(_TRACK_O, 7.2388282585144, 1)
        effector:SetKey(_TRACK_O, 8.55000002861023, 0.83)
        effector:SetKey(_TRACK_O, 9.68238265991211, 0)
    
        effector:Play()
    
    
        -- Layer Layer_11
        local element = CreateCompositionElement("data/Texture/Scenes/19_skeleton_/Animations/dust.png")
        element:SetName("Layer_11")
        composition19_back:AddElement(element)
        element:SetHotSpot(88.5, 15.5)
        element:SetParentElement(composition19_back)
        element:SetXY(459, 178)
    
        element:SetAngle(0)
    
        effector = element:GetEffector()
        effector:SetLifeTime(4.08, 10.56)
    
        effector:SetKey(_TRACK_SX, 6.82160146713257, 0.56149732620321)
        effector:SetKey(_TRACK_SY, 6.82160146713257, 0.26460481099656)
        effector:SetKey(_TRACK_SX, 8.78839834213257, 0.93885581676925)
        effector:SetKey(_TRACK_SY, 8.78839834213257, 1.29553264604811)
        effector:SetKey(_TRACK_SX, 9.68238265991211, 1.0030269397639)
        effector:SetKey(_TRACK_SY, 9.68238265991211, 1.54295532646048)
        effector:SetKey(_TRACK_O, 6.82160146713257, 0)
        effector:SetKey(_TRACK_O, 7.2388282585144, 1)
        effector:SetKey(_TRACK_O, 8.55000002861023, 0.83)
        effector:SetKey(_TRACK_O, 9.68238265991211, 0)
    
        effector:Play()
    
    
        -- Layer Layer_12
        local element = CreateCompositionElement("data/Texture/Scenes/19_skeleton_/Animations/dust2.png")
        element:SetName("Layer_12")
        composition19_back:AddElement(element)
        element:SetHotSpot(93.5, -12.5)
        element:SetParentElement(composition19_back)
        element:SetXY(487.5, 129)
    
        element:SetAngle(0)
    
        effector = element:GetEffector()
        effector:SetLifeTime(4.32, 10.56)
    
        effector:SetKey(_TRACK_SX, 7.06160146713257, 0.56149732620321)
        effector:SetKey(_TRACK_SY, 7.06160146713257, 0.26460481099656)
        effector:SetKey(_TRACK_SX, 9.02839834213257, 0.93885581676925)
        effector:SetKey(_TRACK_SY, 9.02839834213257, 1.29553264604811)
        effector:SetKey(_TRACK_SX, 9.92238265991211, 1.0030269397639)
        effector:SetKey(_TRACK_SY, 9.92238265991211, 1.54295532646048)
        effector:SetKey(_TRACK_O, 7.06160146713257, 0)
        effector:SetKey(_TRACK_O, 7.4788282585144, 1)
        effector:SetKey(_TRACK_O, 8.79000002861023, 0.77)
        effector:SetKey(_TRACK_O, 9.92238265991211, 0)
    
        effector:Play()
    
    
        -- Layer Layer_13
        local element = CreateCompositionElement("data/Texture/Scenes/19_skeleton_/Animations/dust2.png")
        element:SetName("Layer_13")
        composition19_back:AddElement(element)
        element:SetHotSpot(93.5, -12.5)
        element:SetParentElement(composition19_back)
        element:SetXY(466.5, 294)
    
        element:SetAngle(0)
    
        effector = element:GetEffector()
        effector:SetLifeTime(4.08, 10.56)
    
        effector:SetKey(_TRACK_SX, 6.82160146713257, 0.56149732620321)
        effector:SetKey(_TRACK_SY, 6.82160146713257, 0.26460481099656)
        effector:SetKey(_TRACK_SX, 8.78839834213257, 0.93885581676925)
        effector:SetKey(_TRACK_SY, 8.78839834213257, 1.29553264604811)
        effector:SetKey(_TRACK_SX, 9.68238265991211, 1.0030269397639)
        effector:SetKey(_TRACK_SY, 9.68238265991211, 1.54295532646048)
        effector:SetKey(_TRACK_O, 6.82160146713257, 0)
        effector:SetKey(_TRACK_O, 7.2388282585144, 1)
        effector:SetKey(_TRACK_O, 8.55000002861023, 0.83)
        effector:SetKey(_TRACK_O, 9.68238265991211, 0)
    
        effector:Play()
    
    
        -- Layer Layer_14
        local element = CreateCompositionElement("data/Texture/Scenes/19_skeleton_/Animations/dust2.png")
        element:SetName("Layer_14")
        composition19_back:AddElement(element)
        element:SetHotSpot(93.5, -12.5)
        element:SetParentElement(composition19_back)
        element:SetXY(468.5, 137)
    
        element:SetAngle(0)
    
        effector = element:GetEffector()
        effector:SetLifeTime(4.08, 10.56)
    
        effector:SetKey(_TRACK_SX, 6.82160146713257, 0.56149732620321)
        effector:SetKey(_TRACK_SY, 6.82160146713257, 0.26460481099656)
        effector:SetKey(_TRACK_SX, 8.78839834213257, 0.93885581676925)
        effector:SetKey(_TRACK_SY, 8.78839834213257, 1.29553264604811)
        effector:SetKey(_TRACK_SX, 9.68238265991211, 1.0030269397639)
        effector:SetKey(_TRACK_SY, 9.68238265991211, 1.54295532646048)
        effector:SetKey(_TRACK_O, 6.82160146713257, 0)
        effector:SetKey(_TRACK_O, 7.2388282585144, 1)
        effector:SetKey(_TRACK_O, 8.55000002861023, 0.83)
        effector:SetKey(_TRACK_O, 9.68238265991211, 0)
    
        effector:Play()
    
        -- Layer Layer_19
        local element = CreateCompositionElement("data/Texture/Scenes/19_skeleton_/Animations/3.png")
        element:SetName("Layer_19")
        composition19_back:AddElement(element)
        element:SetHotSpot(29, 29)
        composition19_back:RegisterParentInfo("Layer_19", "Layer_23")
        element:SetXY(63, 200)
    
        element:SetScaleX(1)
        element:SetScaleY(1)
        element:SetOpacity(1)
    
        effector = element:GetEffector()
        effector:SetLifeTime(0, 10.5599994659424)
    
        effector:SetKey(_TRACK_A, 3.1999998664856, 0)
        effector:SetKey(_TRACK_A, 3.36906236171722, -0.41209861609409)
        effector:SetKey(_TRACK_A, 3.53820300102234, -0.81165248812477)
        effector:SetKey(_TRACK_A, 3.70734363555908, -1.20097553020036)
        effector:SetKey(_TRACK_A, 3.87636703014374, -1.58084780058373)
        effector:SetKey(_TRACK_A, 4.04542970657349, -1.95136532784207)
        effector:SetKey(_TRACK_A, 4.21457022190094, -2.31251422701436)
        effector:SetKey(_TRACK_A, 4.38363271713257, -2.66363274134082)
        effector:SetKey(_TRACK_A, 4.55265611171722, -3.00436827690789)
        effector:SetKey(_TRACK_A, 4.7217968082428, -3.33405410244905)
        effector:SetKey(_TRACK_A, 4.89093738555908, -3.65198686821861)
        effector:SetKey(_TRACK_A, 5.05999988079071, -3.95685761566733)
        effector:SetKey(_TRACK_A, 5.22906237602234, -4.24752899266526)
        effector:SetKey(_TRACK_A, 5.39820295333862, -4.52253472616442)
        effector:SetKey(_TRACK_A, 5.56734353065491, -4.77966039554471)
        effector:SetKey(_TRACK_A, 5.73636704444885, -5.01651597977683)
        effector:SetKey(_TRACK_A, 5.90542965888977, -5.22984570195204)
        effector:SetKey(_TRACK_A, 6.07457023620605, -5.41538815411464)
        effector:SetKey(_TRACK_A, 6.24363261222839, -5.56700705986067)
        effector:SetKey(_TRACK_A, 6.41265612602234, -5.67616400991922)
        effector:SetKey(_TRACK_A, 6.58179670333862, -5.72959564728308)
        effector:SetKey(_TRACK_A, 6.62238269805908, -5.73194371204224)
    
        effector:Play()
    
    
        -- Layer Layer_20
        local element = CreateCompositionElement("data/Texture/Scenes/19_skeleton_/Animations/4.png")
        element:SetName("Layer_20")
        composition19_back:AddElement(element)
        element:SetHotSpot(38, 66)
        element:SetParentElement(composition19_back)
        element:SetScaleX(1)
        element:SetScaleY(1)
        element:SetAngle(0)
        element:SetOpacity(1)
    
        effector = element:GetEffector()
        effector:SetLifeTime(0, 10.5599994659424)
    
        effector:SetKey(_TRACK_X, 6.62238269805908, 440)
        effector:SetKey(_TRACK_Y, 6.62238269805908, 337)
        effector:SetKey(_TRACK_X, 6.7914453125, 428.703537778984)
        effector:SetKey(_TRACK_Y, 6.7914453125, 337.000000441786)
        effector:SetKey(_TRACK_X, 6.96062499046326, 417.884990539453)
        effector:SetKey(_TRACK_Y, 6.96062499046326, 337.000000376568)
        effector:SetKey(_TRACK_X, 7.1296873664856, 407.496495716991)
        effector:SetKey(_TRACK_Y, 7.1296873664856, 337.000000672536)
        effector:SetKey(_TRACK_X, 7.29874998092651, 397.524992851216)
        effector:SetKey(_TRACK_Y, 7.29874998092651, 336.99999904062)
        effector:SetKey(_TRACK_X, 7.46781259536743, 387.993559245783)
        effector:SetKey(_TRACK_Y, 7.46781259536743, 336.999999703146)
        effector:SetKey(_TRACK_X, 7.63695293426514, 378.94054393998)
        effector:SetKey(_TRACK_Y, 7.63695293426514, 337.000000191229)
        effector:SetKey(_TRACK_X, 7.80605464935303, 370.435673593085)
        effector:SetKey(_TRACK_Y, 7.80605464935303, 336.999999469161)
        effector:SetKey(_TRACK_X, 7.97511726379394, 362.57301396701)
        effector:SetKey(_TRACK_Y, 7.97511726379394, 336.999999166204)
        effector:SetKey(_TRACK_X, 8.14417940139771, 355.457002888139)
        effector:SetKey(_TRACK_Y, 8.14417940139771, 336.999999775506)
        effector:SetKey(_TRACK_X, 8.31335931777954, 349.261484719832)
        effector:SetKey(_TRACK_Y, 8.31335931777954, 337.000000909848)
        effector:SetKey(_TRACK_X, 8.48238283157349, 344.278769865581)
        effector:SetKey(_TRACK_Y, 8.48238283157349, 336.999999767785)
        effector:SetKey(_TRACK_X, 8.6514454460144, 340.931209027036)
        effector:SetKey(_TRACK_Y, 8.6514454460144, 336.999999737815)
        effector:SetKey(_TRACK_X, 8.77999990940094, 340)
        effector:SetKey(_TRACK_Y, 8.77999990940094, 337)
    
        effector:Play()
    
    
        -- Layer Layer_21
        local element = CreateCompositionElement("data/Texture/Scenes/19_skeleton_/Animations/1.png")
        element:SetName("Layer_21")
        composition19_back:AddElement(element)
        element:SetHotSpot(35, 72)
        element:SetParentElement(composition19_back)
        element:SetScaleX(1)
        element:SetScaleY(1)
        element:SetAngle(0)
        element:SetOpacity(1)
    
        effector = element:GetEffector()
        effector:SetLifeTime(0, 10.5599994659424)
    
        effector:SetKey(_TRACK_X, 6.62238269805908, 506.520538330078)
        effector:SetKey(_TRACK_Y, 6.62238269805908, 341.876724243164)
        effector:SetKey(_TRACK_X, 6.7914453125, 517.026455186704)
        effector:SetKey(_TRACK_Y, 6.7914453125, 341.876724504921)
        effector:SetKey(_TRACK_X, 6.96062499046326, 527.087695958646)
        effector:SetKey(_TRACK_Y, 6.96062499046326, 341.87672403988)
        effector:SetKey(_TRACK_X, 7.1296873664856, 536.757662007611)
        effector:SetKey(_TRACK_Y, 7.1296873664856, 341.876723448279)
        effector:SetKey(_TRACK_X, 7.29874998092651, 546.030843280263)
        effector:SetKey(_TRACK_Y, 7.29874998092651, 341.876724642163)
        effector:SetKey(_TRACK_X, 7.46781259536743, 554.894329531179)
        effector:SetKey(_TRACK_Y, 7.46781259536743, 341.876723676069)
        effector:SetKey(_TRACK_X, 7.63695293426514, 563.312620877257)
        effector:SetKey(_TRACK_Y, 7.63695293426514, 341.876723706771)
        effector:SetKey(_TRACK_X, 7.80605464935303, 571.220979601988)
        effector:SetKey(_TRACK_Y, 7.80605464935303, 341.876723737503)
        effector:SetKey(_TRACK_X, 7.97511726379394, 578.532012585719)
        effector:SetKey(_TRACK_Y, 7.97511726379394, 341.876725039484)
        effector:SetKey(_TRACK_X, 8.14417940139771, 585.148652384766)
        effector:SetKey(_TRACK_Y, 8.14417940139771, 341.876723743424)
        effector:SetKey(_TRACK_X, 8.31335931777954, 590.909304002836)
        effector:SetKey(_TRACK_Y, 8.31335931777954, 341.876725027124)
        effector:SetKey(_TRACK_X, 8.48238283157349, 595.542218786379)
        effector:SetKey(_TRACK_Y, 8.48238283157349, 341.876724551126)
        effector:SetKey(_TRACK_X, 8.6514454460144, 598.654726957147)
        effector:SetKey(_TRACK_Y, 8.6514454460144, 341.876723446845)
        effector:SetKey(_TRACK_X, 8.77999990940094, 599.520538330078)
        effector:SetKey(_TRACK_Y, 8.77999990940094, 341.876724243164)
    
        effector:Play()
    
    
        -- Layer Layer_22
        local element = CreateCompositionElement("data/Texture/Scenes/19_skeleton_/Animations/5.png")
        element:SetName("Layer_22")
        composition19_back:AddElement(element)
        element:SetHotSpot(72, 62.5)
        element:SetParentElement(composition19_back)
        element:SetScaleX(1)
        element:SetScaleY(1)
        element:SetAngle(0)
        element:SetOpacity(1)
    
        effector = element:GetEffector()
        effector:SetLifeTime(0, 10.5599994659424)
    
        effector:SetKey(_TRACK_X, 6.62238269805908, 471)
        effector:SetKey(_TRACK_Y, 6.62238269805908, 396)
        effector:SetKey(_TRACK_X, 6.7914453125, 470.999999822077)
        effector:SetKey(_TRACK_Y, 6.7914453125, 409.330088533671)
        effector:SetKey(_TRACK_X, 6.96062499046326, 470.999999183844)
        effector:SetKey(_TRACK_Y, 6.96062499046326, 422.095962276088)
        effector:SetKey(_TRACK_X, 7.1296873664856, 470.999999162786)
        effector:SetKey(_TRACK_Y, 7.1296873664856, 434.354366213276)
        effector:SetKey(_TRACK_X, 7.29874998092651, 470.999999117435)
        effector:SetKey(_TRACK_Y, 7.29874998092651, 446.120714007107)
        effector:SetKey(_TRACK_X, 7.46781259536743, 471.000000278909)
        effector:SetKey(_TRACK_Y, 7.46781259536743, 457.367776461529)
        effector:SetKey(_TRACK_X, 7.63695293426514, 471.000000556139)
        effector:SetKey(_TRACK_Y, 7.63695293426514, 468.050303565878)
        effector:SetKey(_TRACK_X, 7.80605464935303, 470.999999977874)
        effector:SetKey(_TRACK_Y, 7.80605464935303, 478.086020002014)
        effector:SetKey(_TRACK_X, 7.97511726379394, 471.000000531938)
        effector:SetKey(_TRACK_Y, 7.97511726379394, 487.377259770838)
        effector:SetKey(_TRACK_X, 8.14417940139771, 470.999999310038)
        effector:SetKey(_TRACK_Y, 8.14417940139771, 495.772839272759)
        effector:SetKey(_TRACK_X, 8.31335931777954, 471.000000781579)
        effector:SetKey(_TRACK_Y, 8.31335931777954, 503.080329044432)
        effector:SetKey(_TRACK_X, 8.48238283157349, 471.000000365123)
        effector:SetKey(_TRACK_Y, 8.48238283157349, 508.970813324622)
        effector:SetKey(_TRACK_X, 8.6514454460144, 470.999999707144)
        effector:SetKey(_TRACK_Y, 8.6514454460144, 512.908839237925)
        effector:SetKey(_TRACK_X, 8.77999990940094, 471)
        effector:SetKey(_TRACK_Y, 8.77999990940094, 514)
    
        effector:Play()
    
    
        -- Layer Layer_23
        local element = CreateCompositionElement("data/Texture/Scenes/19_skeleton_/Animations/2.png")
        element:SetName("Layer_23")
        composition19_back:AddElement(element)
        element:SetHotSpot(67, 104)
        element:SetParentElement(composition19_back)
        element:SetScaleX(1)
        element:SetScaleY(1)
        element:SetAngle(0)
        element:SetOpacity(1)
    
        effector = element:GetEffector()
        effector:SetLifeTime(0, 10.5599994659424)
    
        effector:SetKey(_TRACK_X, 6.62238269805908, 475)
        effector:SetKey(_TRACK_Y, 6.62238269805908, 242)
        effector:SetKey(_TRACK_X, 6.7914453125, 474.999999665792)
        effector:SetKey(_TRACK_Y, 6.7914453125, 216.92181789068)
        effector:SetKey(_TRACK_X, 6.96062499046326, 475.000000949065)
        effector:SetKey(_TRACK_Y, 6.96062499046326, 192.918740349041)
        effector:SetKey(_TRACK_X, 7.1296873664856, 474.99999941493)
        effector:SetKey(_TRACK_Y, 7.1296873664856, 169.846173646262)
        effector:SetKey(_TRACK_X, 7.29874998092651, 474.999999808893)
        effector:SetKey(_TRACK_Y, 7.29874998092651, 147.708655785847)
        effector:SetKey(_TRACK_X, 7.46781259536743, 475.000000052309)
        effector:SetKey(_TRACK_Y, 7.46781259536743, 126.548216285397)
        effector:SetKey(_TRACK_X, 7.63695293426514, 474.999999501267)
        effector:SetKey(_TRACK_Y, 7.63695293426514, 106.44995909727)
        effector:SetKey(_TRACK_X, 7.80605464935303, 474.999999441847)
        effector:SetKey(_TRACK_Y, 7.80605464935303, 87.5686595486674)
        effector:SetKey(_TRACK_X, 7.97511726379394, 474.9999996274)
        effector:SetKey(_TRACK_Y, 7.97511726379394, 70.0880610288384)
        effector:SetKey(_TRACK_X, 8.14417940139771, 475.000000519944)
        effector:SetKey(_TRACK_Y, 8.14417940139771, 54.2925799591896)
        effector:SetKey(_TRACK_X, 8.31335931777954, 474.999999591571)
        effector:SetKey(_TRACK_Y, 8.31335931777954, 40.5442577773076)
        effector:SetKey(_TRACK_X, 8.48238283157349, 474.999999735343)
        effector:SetKey(_TRACK_Y, 8.48238283157349, 29.4619025703019)
        effector:SetKey(_TRACK_X, 8.6514454460144, 474.9999994579)
        effector:SetKey(_TRACK_Y, 8.6514454460144, 22.0529042180836)
        effector:SetKey(_TRACK_X, 8.77999990940094, 475)
        effector:SetKey(_TRACK_Y, 8.77999990940094, 20)
    
        effector:Play()
    
    
        -- Layer Layer_24
        local element = createCompositionPre_comp_1()
        element:SetName("Layer_24")
        composition19_back:AddElement(element)
        element:SetHotSpot(411.5, 384)
        element:SetParentElement(composition19_back)
        element:SetXY(411.5, 384)
    
        element:SetScaleX(1)
        element:SetScaleY(1)
        element:SetAngle(0)
        element:SetOpacity(1)
    
        effector = element:GetEffector()
        effector:SetLifeTime(6.4, 7.68)
    
    
        effector:Play()
    
    
        -- Layer Layer_25
        local element = createCompositionPre_comp_1()
        element:SetName("Layer_25")
        composition19_back:AddElement(element)
        element:SetHotSpot(411.5, 384)
        element:SetParentElement(composition19_back)
        element:SetXY(411.5, 384)
    
        element:SetScaleX(1)
        element:SetScaleY(1)
        element:SetAngle(0)
        element:SetOpacity(1)
    
        effector = element:GetEffector()
        effector:SetLifeTime(5.12, 6.4)
    
    
        effector:Play()
    
    
        -- Layer Layer_26
        local element = createCompositionPre_comp_1()
        element:SetName("Layer_26")
        composition19_back:AddElement(element)
        element:SetHotSpot(411.5, 384)
        element:SetParentElement(composition19_back)
        element:SetXY(411.5, 384)
    
        element:SetScaleX(1)
        element:SetScaleY(1)
        element:SetAngle(0)
        element:SetOpacity(1)
    
        effector = element:GetEffector()
        effector:SetLifeTime(3.84, 5.12)
    
    
        effector:Play()
    
    
        -- Layer Layer_27
        local element = createCompositionPre_comp_1()
        element:SetName("Layer_27")
        composition19_back:AddElement(element)
        element:SetHotSpot(411.5, 384)
        element:SetParentElement(composition19_back)
        element:SetXY(411.5, 384)
    
        element:SetScaleX(1)
        element:SetScaleY(1)
        element:SetAngle(0)
        element:SetOpacity(1)
    
        effector = element:GetEffector()
        effector:SetLifeTime(2.56, 3.84)
    
    
        effector:Play()
    
    
        -- Layer Layer_28
        local element = createCompositionPre_comp_1()
        element:SetName("Layer_28")
        composition19_back:AddElement(element)
        element:SetHotSpot(411.5, 384)
        element:SetParentElement(composition19_back)
        element:SetXY(411.5, 384)
    
        element:SetScaleX(1)
        element:SetScaleY(1)
        element:SetAngle(0)
        element:SetOpacity(1)
    
        effector = element:GetEffector()
        effector:SetLifeTime(1.28, 2.56)
    
    
        effector:Play()
    
    
        -- Layer Layer_29
        local element = createCompositionPre_comp_1()
        element:SetName("Layer_29")
        composition19_back:AddElement(element)
        element:SetHotSpot(411.5, 384)
        element:SetParentElement(composition19_back)
        element:SetXY(411.5, 384)
    
        element:SetScaleX(1)
        element:SetScaleY(1)
        element:SetAngle(0)
        element:SetOpacity(1)
    
        effector = element:GetEffector()
        effector:SetLifeTime(0, 1.28)
    
    
        effector:Play()
    
        return composition19_back
    end
    
    createCompositionPre_comp_1 = function()
    
        local compositionPre_comp_1 = CreateCompositionSequence()
        local compositionDuration = 1.24--2.72
        compositionPre_comp_1:SetDuration(compositionDuration)
    
    
        -- Layer Layer_1
        local element = CreateCompositionElement("data/Texture/Scenes/19_skeleton_/Animations/g4.png")
        element:SetName("Layer_1")
        compositionPre_comp_1:AddElement(element)
        element:SetHotSpot(59, 134)
        element:SetParentElement(compositionPre_comp_1)
        element:SetXY(93, 554.5)
    
        element:SetAngle(0)
        element:SetOpacity(1)
    
        effector = element:GetEffector()
        effector:SetLifeTime(0, 1.28)
    
        effector:SetKey(_TRACK_SX, 0, 1)
        effector:SetKey(_TRACK_SY, 0, 1)
        effector:SetKey(_TRACK_SX, 0.0908984375, 1.06451612903226)
        effector:SetKey(_TRACK_SY, 0.0908984375, 1.00842005676443)
        effector:SetKey(_TRACK_SX, 0.1818359375, 0.97791985839412)
        effector:SetKey(_TRACK_SY, 0.1818359375, 1.04166997283853)
        effector:SetKey(_TRACK_SX, 0.272734375, 1.0307748649556)
        effector:SetKey(_TRACK_SY, 0.272734375, 1.05056306649983)
        effector:SetKey(_TRACK_SX, 0.3636328125, 0.98561052278207)
        effector:SetKey(_TRACK_SY, 0.3636328125, 1.0650379955443)
        effector:SetKey(_TRACK_SX, 0.45453125, 1.04926908169805)
        effector:SetKey(_TRACK_SY, 0.45453125, 0.95585192419202)
        effector:SetKey(_TRACK_SX, 0.54546875, 1.01360209967345)
        effector:SetKey(_TRACK_SY, 0.54546875, 0.96896267586291)
        effector:SetKey(_TRACK_SX, 0.6363671875, 0.96876735740226)
        effector:SetKey(_TRACK_SY, 0.6363671875, 1.01546678060244)
        effector:SetKey(_TRACK_SX, 0.727265625, 1.02396008178961)
        effector:SetKey(_TRACK_SY, 0.727265625, 1.05207068086795)
        effector:SetKey(_TRACK_SX, 0.8181640625, 1.02477492599261)
        effector:SetKey(_TRACK_SY, 0.8181640625, 1.03193151646474)
        effector:SetKey(_TRACK_SX, 0.9091015625, 0.93667409283731)
        effector:SetKey(_TRACK_SY, 0.9091015625, 0.93773918881802)
        effector:SetKey(_TRACK_SX, 1, 0.92357249671926)
        effector:SetKey(_TRACK_SY, 1, 1.03656422620319)
        effector:SetKey(_TRACK_SX, 1.0908984375, 0.91658375804926)
        effector:SetKey(_TRACK_SY, 1.0908984375, 0.96203497421186)
        effector:SetKey(_TRACK_SX, 1.1818359375, 0.9391674550615)
        effector:SetKey(_TRACK_SY, 1.1818359375, 1.07407757805109)
        effector:SetKey(_TRACK_SX, 1.24, 1)
        effector:SetKey(_TRACK_SY, 1.24, 1)
    
        effector:Play()
    
    
        -- Layer Layer_2
        local element = CreateCompositionElement("data/Texture/Scenes/19_skeleton_/Animations/g3.png")
        element:SetName("Layer_2")
        compositionPre_comp_1:AddElement(element)
        element:SetHotSpot(55.5, 146.5)
        element:SetParentElement(compositionPre_comp_1)
        element:SetXY(129.5, 554)
    
        element:SetAngle(0)
        element:SetOpacity(1)
    
        effector = element:GetEffector()
        effector:SetLifeTime(0, 1.28)
    
        effector:SetKey(_TRACK_SX, 0, 1)
        effector:SetKey(_TRACK_SY, 0, 1)
        effector:SetKey(_TRACK_SX, 0.0908984375, 0.95183874019593)
        effector:SetKey(_TRACK_SY, 0.0908984375, 1.06221503341777)
        effector:SetKey(_TRACK_SX, 0.1818359375, 0.90257881405072)
        effector:SetKey(_TRACK_SY, 0.1818359375, 0.99219031342509)
        effector:SetKey(_TRACK_SX, 0.272734375, 1.07994628742332)
        effector:SetKey(_TRACK_SY, 0.272734375, 0.90508743552965)
        effector:SetKey(_TRACK_SX, 0.3636328125, 1.07357097079379)
        effector:SetKey(_TRACK_SY, 0.3636328125, 1.03163243507187)
        effector:SetKey(_TRACK_SX, 0.45453125, 0.93288064210944)
        effector:SetKey(_TRACK_SY, 0.45453125, 0.98601336710715)
        effector:SetKey(_TRACK_SX, 0.54546875, 0.98304086428419)
        effector:SetKey(_TRACK_SY, 0.54546875, 1.08692892239143)
        effector:SetKey(_TRACK_SX, 0.6363671875, 0.99740592669454)
        effector:SetKey(_TRACK_SY, 0.6363671875, 0.90882290108951)
        effector:SetKey(_TRACK_SX, 0.727265625, 0.95719779045991)
        effector:SetKey(_TRACK_SY, 0.727265625, 0.95701773125401)
        effector:SetKey(_TRACK_SX, 0.8181640625, 0.96062501907407)
        effector:SetKey(_TRACK_SY, 0.8181640625, 1.02313303018281)
        effector:SetKey(_TRACK_SX, 0.9091015625, 0.92091738639485)
        effector:SetKey(_TRACK_SY, 0.9091015625, 0.97407147434919)
        effector:SetKey(_TRACK_SX, 1, 1.00824304940947)
        effector:SetKey(_TRACK_SY, 1, 0.99900204474014)
        effector:SetKey(_TRACK_SX, 1.0908984375, 1.06087832270272)
        effector:SetKey(_TRACK_SY, 1.0908984375, 1.07354655598621)
        effector:SetKey(_TRACK_SX, 1.1818359375, 1.0333079012421)
        effector:SetKey(_TRACK_SY, 1.1818359375, 1.01371196630757)
        effector:SetKey(_TRACK_SX, 1.24, 1)
        effector:SetKey(_TRACK_SY, 1.24, 1)
    
        effector:Play()
    
    
        -- Layer Layer_3
        local element = CreateCompositionElement("data/Texture/Scenes/19_skeleton_/Animations/g2.png")
        element:SetName("Layer_3")
        compositionPre_comp_1:AddElement(element)
        element:SetHotSpot(59.5, 192.5)
        element:SetParentElement(compositionPre_comp_1)
        element:SetXY(684, 625)
    
        element:SetAngle(0)
        element:SetOpacity(1)
    
        effector = element:GetEffector()
        effector:SetLifeTime(0, 1.28)
    
        effector:SetKey(_TRACK_SX, 0, 1)
        effector:SetKey(_TRACK_SY, 0, 1)
        effector:SetKey(_TRACK_SX, 0.0908984375, 1.08131962034974)
        effector:SetKey(_TRACK_SY, 0.0908984375, 1.00090945158238)
        effector:SetKey(_TRACK_SX, 0.1818359375, 0.92156132694479)
        effector:SetKey(_TRACK_SY, 0.1818359375, 1.05537888729514)
        effector:SetKey(_TRACK_SX, 0.272734375, 0.97365337076937)
        effector:SetKey(_TRACK_SY, 0.272734375, 1.027780999176)
        effector:SetKey(_TRACK_SX, 0.3636328125, 1.09035004730369)
        effector:SetKey(_TRACK_SY, 0.3636328125, 0.9170415356914)
        effector:SetKey(_TRACK_SX, 0.45453125, 0.9795983764153)
        effector:SetKey(_TRACK_SY, 0.45453125, 1.08943754387036)
        effector:SetKey(_TRACK_SX, 0.54546875, 0.97909482100894)
        effector:SetKey(_TRACK_SY, 0.54546875, 0.91905575731681)
        effector:SetKey(_TRACK_SX, 0.6363671875, 0.98499404889065)
        effector:SetKey(_TRACK_SY, 0.6363671875, 1.0610889004181)
        effector:SetKey(_TRACK_SX, 0.727265625, 0.96652424695578)
        effector:SetKey(_TRACK_SY, 0.727265625, 0.92525101474044)
        effector:SetKey(_TRACK_SX, 0.8181640625, 1.04973906674398)
        effector:SetKey(_TRACK_SY, 0.8181640625, 1.04727011932737)
        effector:SetKey(_TRACK_SX, 0.9091015625, 0.98040711691641)
        effector:SetKey(_TRACK_SY, 0.9091015625, 1.00293282876064)
        effector:SetKey(_TRACK_SX, 1, 1.02882473220008)
        effector:SetKey(_TRACK_SY, 1, 0.92020325327311)
        effector:SetKey(_TRACK_SX, 1.0908984375, 1.0670705282754)
        effector:SetKey(_TRACK_SY, 1.0908984375, 1.02150334177679)
        effector:SetKey(_TRACK_SX, 1.1818359375, 1.09399395733512)
        effector:SetKey(_TRACK_SY, 1.1818359375, 0.98955656605731)
        effector:SetKey(_TRACK_SX, 1.24, 1)
        effector:SetKey(_TRACK_SY, 1.24, 1)
    
        effector:Play()
    
    
        -- Layer Layer_4
        local element = CreateCompositionElement("data/Texture/Scenes/19_skeleton_/Animations/g1.png")
        element:SetName("Layer_4")
        compositionPre_comp_1:AddElement(element)
        element:SetHotSpot(47, 196.5)
        element:SetParentElement(compositionPre_comp_1)
        element:SetXY(724, 614)
    
        element:SetAngle(0)
        element:SetOpacity(1)
    
        effector = element:GetEffector()
        effector:SetLifeTime(0, 1.28)
    
        effector:SetKey(_TRACK_SX, 0, 1)
        effector:SetKey(_TRACK_SY, 0, 1)
        effector:SetKey(_TRACK_SX, 0.0908984375, 0.90606707968383)
        effector:SetKey(_TRACK_SY, 0.0908984375, 1.05029450361644)
        effector:SetKey(_TRACK_SX, 0.1818359375, 0.97679982909635)
        effector:SetKey(_TRACK_SY, 0.1818359375, 1.06729026154363)
        effector:SetKey(_TRACK_SX, 0.272734375, 1.01911984618671)
        effector:SetKey(_TRACK_SY, 0.272734375, 1.02784203619495)
        effector:SetKey(_TRACK_SX, 0.3636328125, 1.07453840754418)
        effector:SetKey(_TRACK_SY, 0.3636328125, 1.06975615710929)
        effector:SetKey(_TRACK_SX, 0.45453125, 1.015259254738)
        effector:SetKey(_TRACK_SY, 0.45453125, 1.09743949705496)
        effector:SetKey(_TRACK_SX, 0.54546875, 0.94370555742058)
        effector:SetKey(_TRACK_SY, 0.54546875, 1.02133548997467)
        effector:SetKey(_TRACK_SX, 0.6363671875, 0.94941862239448)
        effector:SetKey(_TRACK_SY, 0.6363671875, 0.92229377117222)
        effector:SetKey(_TRACK_SX, 0.727265625, 1.02953886532182)
        effector:SetKey(_TRACK_SY, 0.727265625, 0.90183416241951)
        effector:SetKey(_TRACK_SX, 0.8181640625, 0.93145237586596)
        effector:SetKey(_TRACK_SY, 0.8181640625, 0.96924039429914)
        effector:SetKey(_TRACK_SX, 0.9091015625, 0.97289956358531)
        effector:SetKey(_TRACK_SY, 0.9091015625, 1.01670583208716)
        effector:SetKey(_TRACK_SX, 1, 0.92471388897366)
        effector:SetKey(_TRACK_SY, 1, 1.06242561113315)
        effector:SetKey(_TRACK_SX, 1.0908984375, 0.91205175939207)
        effector:SetKey(_TRACK_SY, 1.0908984375, 1.07707449568163)
        effector:SetKey(_TRACK_SX, 1.1818359375, 0.97203588976714)
        effector:SetKey(_TRACK_SY, 1.1818359375, 0.96565141758477)
        effector:SetKey(_TRACK_SX, 1.24, 1)
        effector:SetKey(_TRACK_SY, 1.24, 1)
    
        effector:Play()
				
        compositionPre_comp_1:Play()
    
		compositionPre_comp_1:SetCyclic(true)
        return compositionPre_comp_1
    end
    